Package org.sunflow.core.shader

# Class TexturedShinyDiffuseShader

java.lang.Object
org.sunflow.core.shader.ShinyDiffuseShader
org.sunflow.core.shader.TexturedShinyDiffuseShader

All Implemented Interfaces:
  `RenderObject`, `Shader`

public class TexturedShinyDiffuseShader extends ShinyDiffuseShader

## Constructor Summary

Constructors
Constructor
Description
`TexturedShinyDiffuseShader()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getDiffuse(ShadingState state)`
`Color`
`getOpacity(ShadingState state)`
Returns how much light is blocked by this shader.
`Color`
`getRadiance(ShadingState state)`
Gets the radiance for a specified rendering state.
`boolean`
`isOpaque()`
Returns `true` if this shader is fully opaque.
`boolean`
`update(ParameterList pl, SunflowAPI api)`
Update this object given a list of parameters.

### Methods inherited from class org.sunflow.core.shader.ShinyDiffuseShader

`getShininess, scatterPhoton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TexturedShinyDiffuseShader

public TexturedShinyDiffuseShader()

## Method Details

### update

public boolean update(ParameterList pl, SunflowAPI api)
Description copied from interface: `RenderObject`
Update this object given a list of parameters. This method is guarenteed to be called at least once on every object, but it should correctly handle empty parameter lists. This means that the object should be in a valid state from the time it is constructed. This method should also return true or false depending on whether the update was succesfull or not.

Specified by:
  `update` in interface `RenderObject`
Overrides:
  `update` in class `ShinyDiffuseShader`
Parameters:
  `pl` - list of parameters to read from
  `api` - reference to the current scene
Returns:
  `true` if the update is succesfull, `false` otherwise

### getDiffuse

public Color getDiffuse(ShadingState state)

Overrides:
  `getDiffuse` in class `ShinyDiffuseShader`

### getRadiance

public Color getRadiance(ShadingState state)
Description copied from interface: `Shader`
Gets the radiance for a specified rendering state. When this method is called, you can assume that a hit has been registered in the state and that the hit surface information has been computed.

Specified by:
  `getRadiance` in interface `Shader`
Overrides:
  `getRadiance` in class `ShinyDiffuseShader`
Parameters:
  `state` - current render state
Returns:
  color emitted or reflected by the shader

### isOpaque

public boolean isOpaque()
Description copied from interface: `Shader`
Returns `true` if this shader is fully opaque. This gives a quick way to find out if a shader needs further processing when hit by a shadow ray.

Specified by:
  `isOpaque` in interface `Shader`
Overrides:
  `isOpaque` in class `ShinyDiffuseShader`

### getOpacity

public Color getOpacity(ShadingState state)
Description copied from interface: `Shader`
Returns how much light is blocked by this shader.

Specified by:
  `getOpacity` in interface `Shader`
Overrides:
  `getOpacity` in class `ShinyDiffuseShader`